<?php

Class clsrol{	 

     private $rol_codigo;
	 private $rol_nombre;
	 private $rol_estado;
	 private $rol_descripcion;
	
	////////////////////////////// constructores //////////////////////
		
	public function carga_rol_codigo($rol_codigo){
	    	    $this->rol_codigo=$rol_codigo;
	}
	
	public function carga_rol_nombre($rol_nombre){
	    	    $this->rol_nombre=$rol_nombre;
	}
	
	public function carga_rol_estado($rol_estado){
	    	    $this->rol_estado=$rol_estado;
	}
	
	public function carga_rol_descripcion($rol_descripcion){
	    	    $this->rol_descripcion=$rol_descripcion;
	}
	
	///////   insertar rol   //////////////////
	public function rol_insertar(){  ////// insertar registro a la base de datos
	       	// abro conexión a bases de datos
			$bd= new clsbdd;
			$this->carga_rol_codigo(0);
			$bd->carga_valores($this->rol_codigo.",'".$this->rol_nombre."','".$this->rol_descripcion."',".$this->rol_estado);
			$bd->carga_campos("rol_codigo,rol_nombre,rol_descripcion,rol_estado");
			$id = $bd->insertar("bb3_rol");
			if($id>0) // insertar
			  return $id;  // exito
			else 
			  return 0;  // error
			//$bd->cerrar();  
			
		           
	}
	
	//////   actualizar rol    ///////////////////
	public function rol_actualizar(){
	       	// abro conexión a bases de datos
			$bd= new clsbdd;
			
			$parametros ="rol_nombre = '$this->rol_nombre', rol_descripcion = '$this->rol_descripcion'";
			$bd->carga_valores("rol_codigo = ".$this->rol_codigo);
			$bd->carga_campos($parametros);
			if($bd->actualizar("bb3_rol"))
			  return 1;
			else 
			  return 0;  
           // $bd->cerrar();
	}
	
	//////   seleccionar rol    ///////////////////
	public function rol_seleccionar(){
	       	// abro conexión a bases de datos
			$bd= new clsbdd;
			$sql = "select rol_codigo, rol_nombre, rol_descripcion FROM bb3_rol WHERE rol_estado = 1 and  rol_codigo = ".$this->rol_codigo;
			
			$rsprv = $bd->ejecutar($sql);
			
			return $rsprv;
	}
	
	/////// ELIMINAR rol
	public function rol_eliminar(){
	       	// abro conexión a bases de datos
			$bd= new clsbdd;
			
			$parametros ="rol_estado = 0";
			$bd->carga_valores("rol_codigo = ".$this->rol_codigo);
			$bd->carga_campos($parametros);
			if($bd->actualizar("bb3_rol"))
			  return 1;
			else 
			  return 0;  
	}
	
	//////   seleccionar rol todo   ///////////////////
	public function rol_seleccionartodo(){
	       	// abro conexión a bases de datos
			$bd= new clsbdd;
			$sql = 'select rol_codigo, rol_nombre, rol_descripcion FROM bb3_rol where rol_estado = 1 ';
			$rsprv = $bd->ejecutar($sql);
			//$bd->cerrar();
			return $rsprv;
	}
	
	/////////////////////////////    fin de rol      ///////////////////////
}
?>